#!/bin/bash

# --- configuração --- #
source VM_CONFIG.sh
ifconfig enp0s8 193.136.212.10 netmask 255.255.255.0
route add default gw 193.136.212.1 

if ! grep -q "apache" /etc/hosts; then
    echo "10.60.0.1 apache" >> /etc/hosts
fi

# --- vpn client --- #
vpn_dir="/etc/openvpn/client/"
cp ca/ta.key $vpn_dir 
cp ca/ca.crt $vpn_dir 
cp ca/user.key $vpn_dir 
cp ca/user.crt $vpn_dir 
cp conf/client.conf $vpn_dir 

openvpn --config "${vpn_dir}/client.conf"
